part of fullauth_api_flutter_client_library;

enum OauthGrantType {
  refreshToken,
  password,
  googleToken,
  facebookToken,
  jwtBearer
}

extension OauthGrantTypeExtension on OauthGrantType {
  String get type {
    switch (this) {
      case OauthGrantType.refreshToken:
        return "refresh_token";
        break;
      case OauthGrantType.password:
        return "password";
        break;
      case OauthGrantType.googleToken:
        return "google_token";
        break;
      case OauthGrantType.facebookToken:
        return "facebook_token";
        break;
      case OauthGrantType.jwtBearer:
        return "urn:ietf:params:oauth:grant-type:jwt-bearer";
        break;
    }
  }
}
