part of fullauth_api_flutter_client_library;

class ApiHelpers {
  static String fullauth_auth_url = "/o/oauth2/auth";
  static String fullauth_token_url = "/o/oauth2/v1/token";
  static String fullauth_revoke_token_url = "/o/oauth2/v1/token/revoke";
  static String fullauth_token_info_url = "/o/oauth2/v1/tokeninfo";

  static String getAuthUrl({AuthEnvironment environment = AuthEnvironment.live, String domain}) {
    return environment.getAuthUrl(domain);
  }

  static String getTokenUrl({AuthEnvironment environment = AuthEnvironment.live, String domain}) {
    return getAuthUrl(environment: environment, domain: domain) + fullauth_token_url;
  }

  static String getRevokeTokenUrl({AuthEnvironment environment = AuthEnvironment.live, String domain}) {
    return getAuthUrl(environment: environment, domain: domain) + fullauth_revoke_token_url;
  }

  static String getTokenInfoUrl({AuthEnvironment environment = AuthEnvironment.live, String domain}) {
    return getAuthUrl(environment: environment, domain: domain) + fullauth_token_info_url;
  }
}
