part of fullauth_api_flutter_client_library;

class OauthRequestParamKey {
  static const access_token = "access_token";
  static const redirect_url = "redirect_uri";
  static const response_type = "response_type";
  static const access_type = "access_type";
  static const scope = "scope";
  static const approval_prompt = "approval_prompt";
  static const code = "code";
  static const google_token = "google_token";
  static const facebook_token = "facebook_token";
  static const jwt = "jwt";
}

abstract class RequestCreatable {
  Map<String, dynamic> getRequestParam();
  String toFormParams();
}

class OauthTokenRequest implements RequestCreatable {
  String clientId;
  String clientSecret;
  OauthGrantType grantType;

  OauthTokenRequest(String clientId, String clientSecret, OauthGrantType grantType) {
    this.clientId = clientId;
    this.clientSecret = clientSecret;
    this.grantType = grantType;
  }

  Map<String, dynamic> getRequestParam() {
    Map map = Map<String, dynamic>();
    map.add("client_id", this.clientId);
    map.add("client_secret", this.clientSecret);
    map["grant_type"] = this.grantType.type;
    return map;
  }

  String toFormParams() {
    return Helpers.encodeMap(this.getRequestParam());
  }
}

extension OauthTokenRequestExtension on OauthTokenRequest {
  String getClientId() {
    return this.clientId;
  }

  String getClientSecret() {
    return this.clientSecret;
  }

  OauthGrantType getGrantType() {
    return this.grantType;
  }

  void setClientId(String clientId) {
    this.clientId = clientId;
  }

  void setGrantType(OauthGrantType grantType) {
    this.grantType = grantType;
  }

  void setClientSecret(String clientSecret) {
    this.clientSecret = clientSecret;
  }
}
